Uploaded image for project: 'Moodle'
  1. Moodle
  2. MDL-57328

Upgrade travis to run tests with php 7.1

    XMLWordPrintable

    Details

    • Testing Instructions:
      Hide
      1. Sanity check the .travis.yml
      2. Ensure that the Travis run use php 7.1
        • Require dev to have travis setup
        • Create a branch on top of integration
        • Push it on your github
        • Check Travis o/p and ensure run happens on 7.1 and 5.6
      Show
      Sanity check the .travis.yml Ensure that the Travis run use php 7.1 Require dev to have travis setup Create a branch on top of integration Push it on your github Check Travis o/p and ensure run happens on 7.1 and 5.6
    • Affected Branches:
      MOODLE_31_STABLE, MOODLE_32_STABLE, MOODLE_33_STABLE
    • Fixed Branches:
      MOODLE_31_STABLE, MOODLE_32_STABLE
    • Pull Master Branch:
      wip-mdl-57328

      Description

      As php 7.1 has been officially released, it will be nice to update travis files to test with latest and greatest version

        Attachments

          Issue Links

            Activity

              People

              • Assignee:
                rajeshtaneja Rajesh Taneja
                Reporter:
                rajeshtaneja Rajesh Taneja
                Peer reviewer:
                Andrew Nicols
                Integrator:
                Eloy Lafuente (stronk7)
                Tester:
                Eloy Lafuente (stronk7)
                Participants:
                Component watchers:
                Amaia Anabitarte, Bas Brands, Carlos Escobedo, Sara Arjona (@sarjona), Víctor Déniz Falcón, Andrew Nicols, Mathew May, Michael Hawkins, Shamim Rezaie, Simey Lameze
              • Votes:
                0 Vote for this issue
                Watchers:
                2 Start watching this issue

                Dates

                • Created:
                  Updated:
                  Resolved:
                  Fix Release Date:
                  9/Jan/17